/* Generated phase table, do not edit */
/*   gen_phase_table -o pxmc_ptprofile_sin.c -N pxmc_ptprofile_sin -c -i 256 -s sin -n 2 -f c-struct */

/* ptirc=256 ptper=1 ptamp=32767 phasenum=2 combined=1*/
/* shape="sin" */
/* ptable_name="pxmc_ptprofile_sin" */

#include "pxmc_internal.h"

static const short
pxmc_ptprofile_sin_phase1[]={
       0,
     804,
    1607,
    2410,
    3211,
    4011,
    4807,
    5601,
    6392,
    7179,
    7961,
    8739,
    9511,
   10278,
   11038,
   11792,
   12539,
   13278,
   14009,
   14732,
   15446,
   16150,
   16845,
   17530,
   18204,
   18867,
   19519,
   20159,
   20787,
   21402,
   22004,
   22594,
   23169,
   23731,
   24278,
   24811,
   25329,
   25831,
   26318,
   26789,
   27244,
   27683,
   28105,
   28510,
   28897,
   29268,
   29621,
   29955,
   30272,
   30571,
   30851,
   31113,
   31356,
   31580,
   31785,
   31970,
   32137,
   32284,
   32412,
   32520,
   32609,
   32678,
   32727,
   32757,
   32766,
   32757,
   32727,
   32678,
   32609,
   32520,
   32412,
   32284,
   32137,
   31970,
   31785,
   31580,
   31356,
   31113,
   30851,
   30571,
   30272,
   29955,
   29621,
   29268,
   28897,
   28510,
   28105,
   27683,
   27244,
   26789,
   26318,
   25831,
   25329,
   24811,
   24278,
   23731,
   23169,
   22594,
   22004,
   21402,
   20787,
   20159,
   19519,
   18867,
   18204,
   17530,
   16845,
   16150,
   15446,
   14732,
   14009,
   13278,
   12539,
   11792,
   11038,
   10278,
    9511,
    8739,
    7961,
    7179,
    6392,
    5601,
    4807,
    4011,
    3211,
    2410,
    1607,
     804,
       0,
    -804,
   -1607,
   -2410,
   -3211,
   -4011,
   -4807,
   -5601,
   -6392,
   -7179,
   -7961,
   -8739,
   -9511,
  -10278,
  -11038,
  -11792,
  -12539,
  -13278,
  -14009,
  -14732,
  -15446,
  -16150,
  -16845,
  -17530,
  -18204,
  -18867,
  -19519,
  -20159,
  -20787,
  -21402,
  -22004,
  -22594,
  -23169,
  -23731,
  -24278,
  -24811,
  -25329,
  -25831,
  -26318,
  -26789,
  -27244,
  -27683,
  -28105,
  -28510,
  -28897,
  -29268,
  -29621,
  -29955,
  -30272,
  -30571,
  -30851,
  -31113,
  -31356,
  -31580,
  -31785,
  -31970,
  -32137,
  -32284,
  -32412,
  -32520,
  -32609,
  -32678,
  -32727,
  -32757,
  -32766,
  -32757,
  -32727,
  -32678,
  -32609,
  -32520,
  -32412,
  -32284,
  -32137,
  -31970,
  -31785,
  -31580,
  -31356,
  -31113,
  -30851,
  -30571,
  -30272,
  -29955,
  -29621,
  -29268,
  -28897,
  -28510,
  -28105,
  -27683,
  -27244,
  -26789,
  -26318,
  -25831,
  -25329,
  -24811,
  -24278,
  -23731,
  -23169,
  -22594,
  -22004,
  -21402,
  -20787,
  -20159,
  -19519,
  -18867,
  -18204,
  -17530,
  -16845,
  -16150,
  -15446,
  -14732,
  -14009,
  -13278,
  -12539,
  -11792,
  -11038,
  -10278,
   -9511,
   -8739,
   -7961,
   -7179,
   -6392,
   -5601,
   -4807,
   -4011,
   -3211,
   -2410,
   -1607,
    -804,
       0,
     804,
    1607,
    2410,
    3211,
    4011,
    4807,
    5601,
    6392,
    7179,
    7961,
    8739,
    9511,
   10278,
   11038,
   11792,
   12539,
   13278,
   14009,
   14732,
   15446,
   16150,
   16845,
   17530,
   18204,
   18867,
   19519,
   20159,
   20787,
   21402,
   22004,
   22594,
   23169,
   23731,
   24278,
   24811,
   25329,
   25831,
   26318,
   26789,
   27244,
   27683,
   28105,
   28510,
   28897,
   29268,
   29621,
   29955,
   30272,
   30571,
   30851,
   31113,
   31356,
   31580,
   31785,
   31970,
   32137,
   32284,
   32412,
   32520,
   32609,
   32678,
   32727,
   32757
};

const pxmc_ptprofile_t pxmc_ptprofile_sin={
  .ptname="sin",
  .ptid=0,
  .ptirc=256,
  .ptper=1,
  .ptamp=32767,
  .ptphnum=2,
  .ptptr1=pxmc_ptprofile_sin_phase1+0,
  .ptptr2=pxmc_ptprofile_sin_phase1+64,
};
